#ifndef PLUGIN_H
#define PLUGIN_H

typedef struct{
    char *name;
    void (*cleanup)(void *data);
    void *(*init)(void);
    void (*configure)(void *data);
    int (*process)(void *data, short int **smpdata, int size, int sampling_frequency);
    char *(*get_state)(void *data);
    int (*set_state)(void *data,char *state_string);
    int num_inputs;
    int num_outputs;
} Plugin;

#endif
